RenewBdsCertificateDetails¶
- class oci.bds.models.RenewBdsCertificateDetails(**kwargs)¶
Bases:
objectRequest body for renewing certificates.
Methods:
__init__(**kwargs)Initializes a new RenewBdsCertificateDetails object with values from keyword arguments.
Attributes:
Gets the cluster_admin_password of this RenewBdsCertificateDetails.
[Required] Gets the manage_certificate_level_type_details of this RenewBdsCertificateDetails.
Gets the secret_id of this RenewBdsCertificateDetails.
- __init__(**kwargs)¶
Initializes a new RenewBdsCertificateDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
manage_certificate_level_type_details (oci.bds.models.ManageBdsCertificateLevelTypeDetails) – The value to assign to the manage_certificate_level_type_details property of this RenewBdsCertificateDetails.
cluster_admin_password (str) – The value to assign to the cluster_admin_password property of this RenewBdsCertificateDetails.
secret_id (str) – The value to assign to the secret_id property of this RenewBdsCertificateDetails.
- property cluster_admin_password¶
Gets the cluster_admin_password of this RenewBdsCertificateDetails. Base-64 encoded password for the cluster admin user.
- Returns
The cluster_admin_password of this RenewBdsCertificateDetails.
- Return type
str
- property manage_certificate_level_type_details¶
[Required] Gets the manage_certificate_level_type_details of this RenewBdsCertificateDetails.
- Returns
The manage_certificate_level_type_details of this RenewBdsCertificateDetails.
- Return type
- property secret_id¶
Gets the secret_id of this RenewBdsCertificateDetails. The secretId for the clusterAdminPassword.
- Returns
The secret_id of this RenewBdsCertificateDetails.
- Return type
str